Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ow2.jasmine.vmm.api
Class IllegalOperationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.ow2.jasmine.vmm.api.VMMException
                  org.ow2.jasmine.vmm.api.IllegalOperationException

All Implemented Interfaces:
  java.io.Serializable

    public class IllegalOperationException

extends VMMException

Thrown if an illegal operation if attempted on a managed resource

See Also:
  Serialized Form

Constructor Summary
`IllegalOperationException()` Constructs a new exception with null as its detail message.
`IllegalOperationException(java.lang.String message)` Constructs a new exception with the specified detail message.
`IllegalOperationException(java.lang.String message, java.lang.Throwable cause)` Constructs a new exception with the specified detail message and cause.
`IllegalOperationException(java.lang.Throwable cause)` Constructs a new exception with the specified cause and a detail message of (cause==null ? null : cause.toString())

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IllegalOperationException

    public IllegalOperationException()

  Constructs a new exception with null as its detail message.

### IllegalOperationException

    public IllegalOperationException(java.lang.String message)

  Constructs a new exception with the specified detail message.

  Parameters:
    `message` - detail message

### IllegalOperationException

    public IllegalOperationException(java.lang.String message,
                                     java.lang.Throwable cause)

  Constructs a new exception with the specified detail message and cause.

  Parameters:
    `message` - the detail message
    `cause` - the cause

### IllegalOperationException

    public IllegalOperationException(java.lang.Throwable cause)

  Constructs a new exception with the specified cause and a detail message of (cause==null ? null : cause.toString())

  Parameters:
    `cause` - the cause

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 OW2 Consortium. All Rights Reserved.